Get personas by IDs
curl --request GET \
--url https://api.shareofmodel.ai/v1/internal/personas \
--header 'Authorization: <api-key>'import requests
url = "https://api.shareofmodel.ai/v1/internal/personas"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.shareofmodel.ai/v1/internal/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"picture": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"profile": {
"brand": "<string>",
"archetype": "<string>",
"tag": "<string>"
},
"demographic": {
"age_from": 123,
"age_to": 123,
"gender": "<string>",
"country": "<string>",
"language": "<string>",
"education_level": "<string>",
"education_field": "<string>",
"occupation": "<string>",
"income_from": 123,
"income_to": 123,
"living_context": "<string>"
},
"internal_compass": {
"job_to_be_done": "<string>",
"values_and_personality_traits": "<string>",
"motivations": "<string>",
"strategic_goal": "<string>"
},
"behavioural_map": {
"lifestyle_and_primary_tasks": "<string>",
"media_consumption": "<string>",
"typical_quote": "<string>"
},
"resistance": {
"pain_points": "<string>",
"purchase_barriers": "<string>",
"core_questions": "<string>",
"key_buying_triggers": "<string>"
},
"connection": {
"product_need": "<string>",
"why_loves_category": "<string>",
"summary": "<string>"
},
"version": {
"name": "<string>",
"changes": "<string>",
"is_active": true,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
},
"archived": true
}
]Personas
Get personas by IDs
Internal endpoint used by sibling services to fetch persona details for a batch of persona IDs scoped to a single workspace, e.g. to validate that referenced persona IDs still exist in that workspace. IDs that don’t match an existing, non-deleted persona in the given workspace_id are silently omitted from the response. Requires admin permissions.
GET
/
v1
/
internal
/
personas
Get personas by IDs
Authorizations
Query Parameters
Comma separated list of persona UUIDs.
UUID of the workspace the persona IDs must belong to.
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I